Update org member role
curl --request PATCH \
--url https://api.omnara.com/v1/orgs/{orgID}/members/{userID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "<string>"
}
'import requests
url = "https://api.omnara.com/v1/orgs/{orgID}/members/{userID}"
payload = { "role": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({role: '<string>'})
};
fetch('https://api.omnara.com/v1/orgs/{orgID}/members/{userID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"org_id": "<string>",
"user_id": "<string>",
"role": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "internal_error"
}Organizations and Projects
Update org member role
PATCH
/
orgs
/
{orgID}
/
members
/
{userID}
Update org member role
Authorizations
bearerAuthbrowserSessionCookie & csrfHeader
An opaque Omnara personal or organization bearer token.
Path Parameters
Pattern:
^org_[a-z2-7]{26}$Pattern:
^usr_[a-z2-7]{26}$Body
application/json
The member's new org role (admin or member).
⌘I